//Filename: sysinfo.cc

#include <fstream>
#include "sysinfo.h"

//sysinfo class
Sysinfo::Sysinfo(BaseObjectType* cobject, const Glib::RefPtr<Gnome::Glade::Xml>& refGlade)
: Gtk::Window(cobject),
  m_refGlade(refGlade),
  m_TreeView(0)
{
	m_refGlade->get_widget("quit1", menuitem_quit);
    if(menuitem_quit) {
        menuitem_quit->signal_activate().connect( sigc::mem_fun(*this, &Sysinfo::on_menuitem_quit) );
    }
	
	m_refGlade->get_widget("treeview1", m_TreeView);
    if(m_TreeView) {
        m_TreeView->append_column("Workspace", m_Columns.m_col1);
        m_TreeView->append_column("Wallpaper", m_Columns.m_col1);
    }
	
}

//sysinfo destructior
Sysinfo::~Sysinfo() {
    delete m_TreeView;
	delete menuitem_quit;
	delete menuitem_about;
}

void Sysinfo::on_menuitem_quit() {
    hide();
}

void Sysinfo::on_menuitem_about() {
	m_refGlade->get_widget("aboutdialog1", aboutdialog);
    if(aboutdialog) {
		//aboutdialog.show(); ???
    }
}

//ghaefb
